SRC=http://downloads.qi-hardware.com/people/werner/labsw/tmp

DL=labsw-0-off.jpg labsw-0-inside.jpg \
   labsw-m1-off.jpg labsw-m1-boot.jpg labsw-m1-render.jpg
GEN=labsw-0-off-small.jpg labsw-0-inside-small.jpg \
    ovr-front.png ovr-rear.png \
    labsw-m1-off-small.jpg labsw-m1-boot-small.jpg labsw-m1-render-small.jpg \
    loop-left.png loop-right.png


.PHONY:	upload gen clean spotless

.SUFFIXES: .fig .png

all:	gen

upload:	$(DL) $(GEN)
	rsync -e ssh index.html $(DL) $(GEN) \
	  www-data@downloads.qi-hardware.com:werner/labsw/web/

gen:	$(GEN)

labsw-0-off.jpg:
	wget $(SRC)/$@

labsw-0-inside.jpg:
	wget $(SRC)/$@

labsw-m1-off.jpg:
	wget $(SRC)/$@

labsw-m1-boot.jpg:
	wget $(SRC)/$@

labsw-m1-render.jpg:
	wget $(SRC)/$@

.fig.png:
	fig2dev -L png -S 4 -m 0.7 $< >$@ || { rm -f $@; exit 1; }

labsw-0-off-small.jpg: labsw-0-off.jpg
	convert $< -scale x240 $@

labsw-0-inside-small.jpg: labsw-0-inside.jpg
	convert $< -scale x240 $@

labsw-m1-off-small.jpg: labsw-m1-off.jpg
	convert $< -scale x300 $@

labsw-m1-boot-small.jpg: labsw-m1-boot.jpg
	convert $< -scale x300 $@

labsw-m1-render-small.jpg: labsw-m1-render.jpg
	convert $< -scale x300 $@

clean:
	rm -f $(GEN)

spotless: clean
	rm -f $(DL)
